Summary: Additional GNOME icons
Name: gnome-icon-theme-extras
Version: 2.30.1
Release: 2%{?dist}
#VCS: git:git://git.gnome.org/gnome-icon-theme-extras
Source0: http://download.gnome.org/sources/gnome-icon-theme-extras/2.30/%{name}-%{version}.tar.bz2
# New iPad icons, remove for new release
Source1: git-extras-ipad.tar.bz2
License: CC-BY-SA
BuildArch: noarch
Group: User Interface/Desktops
BuildRequires: icon-naming-utils >= 0.8.7
Requires: gnome-icon-theme
Requires(posttrans): gtk2 >= 2.6.2
Requires(postun): gtk2 >= 2.6.2

%description
This package contains extra device and mime-type icons for use by
the GNOME desktop.

%prep
%setup -q
tar xjf %{SOURCE1}

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%posttrans
/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome/ || :

%postun
/usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/gnome/ || :

%files
%defattr(-,root,root)
%doc COPYING AUTHORS
%{_datadir}/icons/gnome/*


%changelog
* Fri May 28 2010 Bastien Nocera <bnocera@redhat.com> 2.30.1-2
- Add iPad icons

* Tue Apr 20 2010 Bastien Nocera <bnocera@redhat.com> 2.30.1-1
- Update to 2.30.1

* Tue Apr  6 2010 Matthias Clasen <mclasen@redhat.com> 2.30.0-1
- Update to 2.30.0

* Thu Apr 01 2010 Bastien Nocera <bnocera@redhat.com> 2.29.0-4
- Fix license tag

* Thu Mar 25 2010 Bastien Nocera <bnocera@redhat.com> 2.29.0-3
- Update tarball

* Tue Mar 23 2010 Bastien Nocera <bnocera@redhat.com> 2.29.0-2
- Fix scriptlets

* Tue Mar 23 2010 Bastien Nocera <bnocera@redhat.com> 2.29.0-1
- First build

